Skip to main content
`Ctrl`+`K`

# PetscHelpPrintf

Prints help messages.

## Synopsis

    #include <petscsys.h>
    PetscErrorCode (*PetscHelpPrintf)(MPI_Comm comm, const char format[],args);

Not Collective, only applies on MPI rank 0; No Fortran Support

## Input Parameters

- comm - the MPI communicator over which the help message is printed

- format - the usual printf() format string

- args - arguments to be printed

## Notes

You can change how help messages are printed by replacing the function pointer with a function that does not simply write to stdout.

To use, write your own function, for example,

       PetscErrorCode mypetschelpprintf(MPI_Comm comm,const char format[],....)
       {
         PetscFunctionReturn(PETSC_SUCCESS);
       }

then do the assignment

      PetscHelpPrintf = mypetschelpprintf;

You can do the assignment before `PetscInitialize()`.

The default routine used is called `PetscHelpPrintfDefault()`.

## See Also

`PetscFPrintf()`, `PetscSynchronizedPrintf()`, `PetscErrorPrintf()`, `PetscHelpPrintfDefault()`

## Level

developer

## Location

include/petscsys.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages